<template>
  <section id="about" class="container mx-auto about">
    <h2 class="section-title">
      Sobre o Cursinho Poli USP
    </h2>
    <div class="items">
      <Item
        v-for="item of items"
        :key="item.text"
        :text="item.text"
        :icon="item.icon" />
    </div>
  </section>
</template>

<script lang='ts'>
import Vue from 'vue';
import Component from 'vue-class-component';

import Item, { IAboutItem } from '@/components/AboutItem.vue';

@Component({
  components: { Item },
})
export default class About extends Vue {
  items: IAboutItem[] = [
    { 
      text: 'O Cursinho da Poli USP é um cursinho preparatório para vestibular de todas as áreas do conhecimento: Biológicas, Exatas e Humanas, focado em aprovar nas melhores universidades públicas do país.',
      icon: 'star'
    },
    { 
      text: 'A Turma Regular dura o ano todo, de Março a Dezembro, com aulas de segunda à sexta, das 18:00 às 22:40, além de plantões de dúvidas de segunda à quinta, das 17:00 às 18:00.',
      icon: 'star'
    },
    {
      text: 'São diversas atividades extras: simulados, aulas e palestras aos sábados; aulas de reforço e imersão variadas ao longo da semana.',
      icon: 'star'
    },
    { 
      text: 'Além da Turma Regular, no segundo semestre, é oferecida a turma do Ciclo Básico, voltada para estudantes que buscam iniciar, de forma mais gradual, sua preparação para os vestibulares.',
      icon: 'star'
    },
    { 
      text: 'O Cursinho da Poli USP é parceiro de cursinhos de renome, dos quais recebe material de excelência e suporte pedagógico.',
      icon: 'star'
    },
  ];
}
</script>

<style lang="postcss" scoped>
.about {
  @apply flex flex-col items-center;
}

@screen md {
  .items {
    @apply flex flex-row flex-wrap justify-around items-center;
  }
}
</style>
